> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mileapp.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry bulk automation

> This endpoint is only used with tokens from internal accounts, for example, accounts using @mile.app or @paket.id



## OpenAPI

````yaml /openapi/public/openapi-flow.json post /automation-retries
openapi: 3.0.0
info:
  title: MileApp API - Flow
  version: 3.0.0
  description: MileApp API Documentation - RESTful API for field operations management.
servers:
  - url: https://apiweb.mile.app/api/v3
security:
  - bearerAuth: []
tags:
  - name: Flow
    description: >-
      Flow in MileApp is the mobile field application workflow, setting it
      correctly is critical to the success of the field workers in doing their
      job efficiently. Flow attributes consist of IDs, pages, components,
      configurations, and time. The Flow will be used at Task, Automation, or
      Schedule.


      **To see the details of flow object, please follow [this
      link](#tag/flow_model)**
  - name: Automation
    description: >-
      Automation enables you to set up automation based on tasks' events and
      data source's events. It might help you automate creation of tasks, task
      assignment, task placement, task webhook, data source update, datasource
      creation, and data source webhook. Automation attributes consist of IDs,
      automation name, automation type, automation details, and rules.


      **To see the details of automation object, please follow [this
      link](#tag/automation_model)**
paths:
  /automation-retries:
    post:
      tags:
        - Automation
      summary: Retry bulk automation
      description: >-
        This endpoint is only used with tokens from internal accounts, for
        example, accounts using @mile.app or @paket.id
      operationId: automationRetries
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/bulk-retries'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    description: Status of response.
                    type: string
                  message:
                    description: Message of API response.
                    type: string
                  data:
                    description: List of success syncronize id.
                    type: array
                    items:
                      type: object
                      additionalProperties: true
                example:
                  status: true
                  message: Success.
                  data:
                    total: 2
                    success: 2
                    failed: 0
                    details:
                      wCixuZABO6Fu1BKEElvp: Success.
                      EyyyuZABO6Fu1BKE6hZB: Success.
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    description: Shows if the request was successful.
                  message:
                    type: string
                    description: A short message explaining what went wrong.
                example:
                  status: false
                  message: Bad request - invalid parameters provided.
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    description: Shows if the request was successful.
                  message:
                    type: string
                    description: A short message explaining what went wrong.
                example:
                  status: false
                  message: Internal server error, please contact support@mile.app.
      deprecated: false
      security:
        - bearerAuth: []
components:
  schemas:
    bulk-retries:
      example:
        id:
          - EyyyuZABO6Fu1BKE6hZB
          - wCixuZABO6Fu1BKEElvp
      type: object
      properties:
        id:
          type: array
          maxItems: 200
          description: >-
            Unique identifier for the data that generated by system.
            **Example:** `['EyyyuZABO6Fu1BKE6hZB']`
          items:
            type: object
            additionalProperties: true
      required:
        - id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use a valid Bearer token to authenticate.

````